### Method

# Ide TreeNode traverse

#### Declaration

    void
    ide_tree_node_traverse (
      IdeTreeNode* self,
      GTraverseType traverse_type,
      GTraverseFlags traverse_flags,
      gint max_depth,
      IdeTreeTraverseFunc traverse_func,
      gpointer user_data
    )

#### Description

Calls `traverse_func` for each node that matches the requested type, flags, and depth.

Traversal is stopped if `traverse_func` returns `TRUE`.

Available since: | 3.32

#### Parameters

`traverse_type` | `GTraverseType`
| The type of traversal, pre and post supported.
`traverse_flags` | `GTraverseFlags`
| The flags for what nodes to match.
`max_depth` | `gint`
| The max depth for the traversal or -1 for all.
`traverse_func` | `IdeTreeTraverseFunc`
| The callback for each matching node.
`user_data` | `gpointer`
| User data for `traverse_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.